package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 注册-学校-附件对象 register_school_file
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
public class RegisterSchoolFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学校ID */
    @Excel(name = "学校ID")
    private Long schoolId;

    /** 学校部门id */
    @Excel(name = "学校部门id")
    private Long deptId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String name;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String url;

    /** 地址类型 */
    @Excel(name = "地址类型")
    private String type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public String getName() {
        return name;
    }

    public String getUrl() {
        return url;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return "RegisterSchoolFile{" +
                "id=" + id +
                ", schoolId=" + schoolId +
                ", deptId=" + deptId +
                ", name='" + name + '\'' +
                ", url='" + url + '\'' +
                ", type='" + type + '\'' +
                '}';
    }
}
